package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("bl_topological_building_wd_list")
public class TopologicalBuildingWd implements Serializable {

    private String aroundWdId;
    private String aroundWdName;
    private String aroundWdTypeCode;
    private double distance;
    private String addrCode;
    private String addrCodeInfo;
    private String addrInfo;
    private double rent;
    private String buildType;
    private String propertyType;
    private LocalDateTime analyseTime;

    private double lat;

    private double lng;

    public TopologicalBuildingWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
        this.lat = wdInfo.getLat().doubleValue();
        this.lng = wdInfo.getLng().doubleValue();
    }

    public TopologicalBuildingWd() {
    }
}
